import React from 'react';

interface GameHeaderProps {
  money: number;
  gubblePoints: number;
  formatter: Intl.NumberFormat;
  setIsStoreOpen: React.Dispatch<React.SetStateAction<boolean>>;
}

const GameHeader: React.FC<GameHeaderProps> = ({ money, gubblePoints, formatter, setIsStoreOpen }) => (
  <div className="flex flex-row items-center gap-6 mb-6 mt-2 w-full max-w-4xl justify-center">
    <h1 className="text-3xl font-bold text-blue-600">Rubellos Glücksspiel</h1>
    <div className="text-lg text-white">Money: <span className="font-mono font-bold">${formatter.format(money)}</span></div>
    <div className="text-lg text-white">Gubble Points: <span className="font-mono font-bold">{formatter.format(gubblePoints)}</span></div>
    <button
      className="px-4 py-2 bg-purple-600 hover:bg-purple-700 text-white font-bold rounded disabled:opacity-50"
      disabled={gubblePoints < 1}
      onClick={() => setIsStoreOpen(true)}
    >
      Open Gubble Point Store
    </button>
  </div>
);

export default GameHeader; 